

const webpack = require('webpack');
const WebpackDevServer = require('webpack-dev-server');
const webackConfig = require('../webpack/webpack.config.dev.js');
const path = require('path');
const $ = require(path.join('..', 'util'));
const PORT = '3000';

const compiler = webpack(webackConfig);

const server = new WebpackDevServer(
  compiler,
  {
    // contentBase: $.generatePath(),
    port: parseInt(PORT),
    host: '0.0.0.0',
    inline: true,
    hot: true,
    publicPath: `http://localhost:${PORT}/assets/js/`,
    lazy: false,
    stats: { colors: true },
    overlay: {
      errors: true,
      warnings: false
    }
  }
);

server.listen(PORT);