
const path = require('path');
const $ = require(path.join('..', 'util'));

module.exports = {

  entry: {
    bundle: './src/index',
  },

  output: {
    filename: '[name].js'
  },

  resolve: {
    modules: [
      path.resolve($.generatePath(3, ['node_modules'])),
      path.resolve($.generatePath(3, ['src']))
    ],
    extensions:
    ['.webpack.js', '.web.js', '.js', '.jsx', '.scss', '.sass', '.css']
  },

  module: {

    rules: [
      {
        enforce: 'pre',
        test: /\.jsx?$/,
        exclude: /node_modules/,
        use: 'eslint-loader',
      },
      // Babel automatic loading
      { test: /\.jsx?$/,
        exclude: /node_modules/,
        loader: 'babel-loader'
      },
      // CSS automatic loading
      {
        test: /\.css$/,
        use: ['style-loader','css-loader']
      },

      // Sass automatic loading
      {
        test: /\.scss$|\.saas$/,
        use: ['style-loader', 'css-loader', 'sass-loader']
      },

      // Files
      { test: /\.(png|jpg|jpeg|svg|woff|woff2|eot|ttf)$/,
        use: ['file-loader']
      }
    ]
  }
};